/**
 * Created by IntelliJ IDEA.
 * User: m09baa
 * Date: 07.10.2009
 * Time: 18:02:01
 * To change this template use File | Settings | File Templates.
 */
     import  java.util.*;
import java.io.*;
public class sort {

          public static void main (String [] arqs) throws Exception{

        Scanner in = new Scanner (new File ("sort.in")) ;
                                   int n = in.nextInt ();
                  PrintWriter out = new PrintWriter (new File("sort.out")) ;

              int [] a = new int[100] ;

              for (int i=0 ; i<n ; i++)   {
                  a[i] = in.nextInt();
                            }

              int f;
              int l;
              int k=n;

                 int max  ;

       for (k=n; k>0; k--) {
               max = a[0]   ;
           f= 0;
                  for (int i=0; i<k ; i++)  {
                      if (a[i] > max) {
                          max = a[i]       ;
                          f = i;
                      }
                                      }
                  l=a[k-1]      ;
                  a[k-1] = a[f] ;
                  a[f] = l;


                             }

               for (int i=0; i<n; i++)   {
                  out.print (a[i]+ " ") ;

              }

                      out.close();
              in.close();


          }
}
